import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;

import quadbase.reportdesigner.ReportAPI.DBInfo;
import quadbase.reportdesigner.designer.QbReportDesigner;

//Run this example from Report Designer install directory
//Report manager must be running
public class RDWithDBInfo extends Applet {
	static final long serialVersionUID = 1;
	public QbReportDesigner designer;
	String url = "jdbc:hsqldb:help/examples/DataSources/database/woodview";
	String driver = "org.hsqldb.jdbcDriver";
	String username = "sa";
	String password = "";
	String query = "SELECT * FROM Order_Details";

	public static void main(java.lang.String[] args) {

		try {

			RDWithDBInfo doReport = new RDWithDBInfo();
			doReport.doReportDesignerWithDBInfoApplet(null);

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}

	@Override
	public void init() {

		try {

			doReportDesignerWithDBInfoApplet(this);
			setLayout(new BorderLayout());
			Panel panel = new Panel();
			panel.setLayout(new BorderLayout());
			panel.add("Center", new Label("LOADING"));
			add("Center", panel);

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}

	public void doReportDesignerWithDBInfoApplet(Applet applet) throws Exception {
		// Connect to EspressManager
		QbReportDesigner.setServerAddress("127.0.0.1");
		QbReportDesigner.setServerPortNumber(22071);

		// Use images from jar file
		QbReportDesigner.setUseSysResourceImages(true);

		// QbReportDesigner (component, Database Information, true = start from Data Source Manager false = start from Create a new report or open existing report choice before going to Data Source Manager
		DBInfo dbInfo = new DBInfo(url, driver, username, password, query);
		designer = new QbReportDesigner(applet, dbInfo, true);

		designer.setVisible(true);

	}

}